function [DistMatrix] = computeDistMax( X_train )
%%
%  X_train : m * n   , m: samples, n:features dimension
%  X_test: 1 * n

%%
m = size(X_train,1);
DistMatrix = zeros(m,m);

for i=1:m
    DistMatrix(i,i) = inf;
    if i == m
        break;
    end
    
    X_test = X_train(i,:);
    N_train = m - i;
    test_mat = repmat(X_test,N_train,1);
    dist_mat = (X_train(i+1:end,:)-test_mat) .^2;
    dist_array = sum(dist_mat,2);
    DistMatrix(i,i+1:end) = dist_array'; 
    DistMatrix(i+1:end,i) = dist_array; 
end 
end